<?php
/*
*	SyndeoCMS (former Site@School)
* 	is a website management system designed for primary schools.
* This script is part of the newsletter module of SyndeoCMS
* =============================================================================== *
* This file is published under the GNU GENERAL PUBLIC LICENSE.
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* =============================================================================== *
* list_users.php: last changed 05/11/2011 version 3.0.01
*                 by Fred Stuurman (fc.stuurman@gmail.com)
*$Id$
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['p']))
{
	$p = intval($_GET['p']);
}
else
{
	$p = 1;
}
$begin_limit = $p * 25 - 25;
	
if (IsSet ($_GET['sort']))
{
	$sort = sanitize($_GET['sort'], 25, 'A');
}
else
{
	$sort = "name";
}
if (IsSet ($_POST['filter']))
{
	$filter = intval($_POST['filter']);
}
if (IsSet ($_GET['filter']))
{
	$filter = intval($_GET['filter']);
}
if (IsSet ($_POST[search_arg]))
{
	$search_arg = sanitize($_POST['search_arg'], 25, 'A');
}

	if ($type_of_user != "admin")
	{
		foreach ($letter_ids as $value)
		{
			$where_clause .= " OR newsletter_id LIKE '%$value%'";
			$where .=  " OR id = '$value'";
		}
		$where_clause = substr($where_clause, 4);
		$where_clause = "AND (" . $where_clause . ")";
		
	}
	
	if ((IsSet ($filter)) AND ($filter != ""))
	{
		if ($filter != "All")
		{
			$where_clause .= "AND (newsletter_id = '$filter' OR newsletter_id LIKE '$filter,%' OR newsletter_id LIKE '%,$filter' OR newsletter_id LIKE '%,$filter,%')" ;
		}
	}

	if ($type_of_user == "admin")
	{
		$query1 = "SELECT id, name FROM $table_newsletters ORDER BY id";
	}
	else
	{
		$where = substr($where, 3);
		$query1 = "SELECT id, name FROM $table_newsletters WHERE $where ORDER BY id";	//only the newsletters where user is responsible for.
	}
	$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);  //get the existing newsletter ids with their names
	$id_count = mysqli_num_rows($result1); //total number of records
	
	if ($suboption == "not_active")
	{
		print "<b>" . $sas_lang['newsletter_module_new_subscribers'] . ":</b></span>";
		$query = "SELECT id FROM $table_email_adresses WHERE (enable='1' OR enable='0') $where_clause";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
		$rec_number = mysqli_num_rows($result); //total number of records
		$query = "SELECT id, email, remarks, newsletter_id, UNIX_TIMESTAMP(date), enable, name, surename FROM $table_email_adresses 
					WHERE (enable='1' OR enable='0')  $where_clause ORDER BY $sort LIMIT $begin_limit,25";
		//print $query;
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
	}
	elseif ($suboption == "search_result")
	{
		$query = "SELECT id FROM $table_email_adresses WHERE name LIKE '%$search_arg%' OR email LIKE '%$search_arg%' OR newsletter_id 
					LIKE '%$search_arg%' OR remarks LIKE '%$search_arg%' $where_clause";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
		$rec_number = mysqli_num_rows($result); //total number of records
		$query = "SELECT id, email, remarks, newsletter_id, UNIX_TIMESTAMP(date), enable, name, surename FROM $table_email_adresses 
				  WHERE (name LIKE '%$search_arg%' OR email LIKE '%$search_arg%' OR remarks LIKE '%$search_arg%') $where_clause 
				  ORDER BY $sort LIMIT $begin_limit,25";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
		print "" . $sas_lang['newsletter_module_search_results'] . ":</span>";
	}
	else
	{
		print "<p><img src=graphics/add.gif alt=\"" . $sas_lang['newsletter_module_email_add'] . "\">
				<a href=$PHP_SELF?option=modulemanager&module=$module&modoption=new_email><span class=link>&nbsp;" .
		$sas_lang['newsletter_module_email_add'] . "</span></a><br><br>";
		$query = "SELECT id FROM $table_email_adresses WHERE enable='2' $where_clause";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
		$rec_number = mysqli_num_rows($result); //total number of records
		$query = "SELECT id, email, remarks, newsletter_id, UNIX_TIMESTAMP(date), enable, name, surename FROM $table_email_adresses 
					WHERE enable='2' $where_clause ORDER BY $sort LIMIT $begin_limit,25";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
		print "<b>" . $sas_lang['newsletter_module_subscribers'] . ":</b></span>";
	}
	//print $query;

	while ($newsletter_id_list = mysqli_fetch_array($result1))
	{
		$id_list[$newsletter_id_list[0]] = $newsletter_id_list[1]; //put them in an array
	}

	print "<p><table border=\"0\" width=\"90%\">";
	print "<tr><td colspan=\"3\">
			<form METHOD=\"POST\" action=\"index.php?option=modulemanager&module=$module&modoption=list_users&suboption=$suboption\">";

	if ($id_count > 1) //do we have any newsletters, else skip search filter
	{
		if ($suboption != "search_result")
		{
			print "" . $sas_lang['newsletter_module_filter'] . ": </span><select class=\"text\" name=\"filter\" 
			onChange=\"this.form.submit();\"><option>All</option>";
			foreach ($id_list as $key => $value)
			{
				if ($filter == $key)
				{
					print "<option selected value=\"$key\">$value</option>";
				}
				else
				{
					print "<option value=\"$key\">$value</option>";
				}
			}
			print "</select><input type=\"hidden\" name=\"focus\"></form>";
		}

		print "</td><td colspan=\"4\" align=\"right\">" . $sas_lang['newsletter_module_newsletter_id'] . ": ";
		foreach ($id_list as $key => $value)
			//while ($letters_list = mysqli_fetch_array($result1)) 
		{
			if (array_search($key, $letter_ids) !== FALSE)
			{
				print "<b>" . $key . "</b>: " . $value . " ";
			}
		}
	}
	print "</span></td></tr><tr><td colspan=\"7\">&nbsp;</td></tr><tr><td colspan=\"2\">&nbsp;</td>
			<td><b><a id=\"name\" href=index.php?option=modulemanager&module=$module&modoption=list_users&suboption=$suboption&sort=name&filter=$filter>" .
	$sas_lang['newsletter_module_name'] . "," . $sas_lang['newsletter_module_surename'] . ":";
	if ($sort == "name")
	{
		print "<img border=\"0\" src=\"modules/sn_newsletter/sort.gif\"></a></b></span></td>";
	}
	else
	{
		print "</a></b></span></td>";
	}
	print "<td><b><a href=index.php?option=modulemanager&module=$module&modoption=list_users&suboption=$suboption&sort=email&filter=$filter>" .
	$sas_lang['newsletter_module_email'] . ":";
	if ($sort == "email")
	{
		print "<img border=\"0\" src=\"modules/sn_newsletter/sort.gif\"></a></b></span></td>";
	}
	else
	{
		print "</a></b></span></td>";
	}
	print "<td><b><a href=index.php?option=modulemanager&module=$module&modoption=list_users&suboption=$suboption&sort=newsletter_id&filter=$filter>" .
	$sas_lang['newsletter_module_newsletter_id'] . ":";
	if ($sort == "newsletter_id")
	{
		print "<img border=\"0\" src=\"modules/sn_newsletter/sort.gif\"></a></b></span></td>";
	}
	else
	{
		print "</a></b></span></td>";
	}
	print "<td><b>" . $sas_lang['newsletter_module_status'] . ":</b></span></td>
			<td><b>" . $sas_lang['date'] . ":</b></span></td>
		   </tr>";
	$bgcolor = "E7E7EF";
	if (mysqli_num_rows($result) > 0)
	{
		$pages = ceil($rec_number / 25); //number of pages 
		$next = $p +1; //next page number
		$prev = $p -1; //previous page number
		while ($editnewsletter_list = mysqli_fetch_array($result))
		{
			print "<tr bgcolor=\"$bgcolor\">
					 <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\" class=\"tooltip\"  
					 onClick=\"if(confirm('" . $sas_lang['newsletter_module_delete_subscriber'] . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_user&delete_user=$editnewsletter_list[0]&p=$p&filter=$filter';\"></td>
					 <td><img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\" title=\"$sas_lang[edit]\" 
					 width=\"16\" height=\"16\" class=\"tooltip\"  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_user&edit_user=$editnewsletter_list[0]&p=$p&filter=$filter';\"></td>";
			if ($editnewsletter_list[7] == "")
			{
				print "<td><span class=link>$editnewsletter_list[6]</span></td>";
			}
			else
			{
				print "<td><span class=link>$editnewsletter_list[6] ,$editnewsletter_list[7]</span></td>";
			}
			print "<td><span class=link>$editnewsletter_list[1]</span></td>
									             <td><span class=link>$editnewsletter_list[3]</span></td>";
			if ($editnewsletter_list[5] == '0')
			{
				print "<td><span class=link>" . $sas_lang['newsletter_module_link_code0'] . "</span></td>";
			}
			if ($editnewsletter_list[5] == '1')
			{
				print "<td><span class=link>" . $sas_lang['newsletter_module_link_code1'] . "</span></td>";
			}
			if ($editnewsletter_list[5] == '2')
			{
				print "<td><span class=link>" . $sas_lang['newsletter_module_link_code2'] . "</span></td>";
			}
			$datum = strftime($sas_config[dateformat], $editnewsletter_list[4]);
			print "<td><span class=link>$datum</span></td>";
			if ($suboption == "not_active")
			{
				print "<td><a href=index.php?option=modulemanager&module=$module&modoption=activate&email=$editnewsletter_list[1]>
						<img border=\"0\" alt=\"" . $sas_lang['newsletter_module_enable'] . "\" title=\"" . $sas_lang['newsletter_module_enable'] . "\" src=\"modules/sn_newsletter/unlock.gif\"></a></td>";
			}
			print "</tr>";
			if ($bgcolor == "#FFFFFF")
			{
				$bgcolor = "#E7E7EF";
			}
			else
			{
				$bgcolor = "#FFFFFF";
			}
		}
	}
	print "<tr><td colspan=\"6\">&nbsp;</td></tr>";
	print "<tr><td colspan=\"3\">";
	if ($prev > 0) //is previous page number greater than 0
	{
		print "<a href=\"index.php?option=modulemanager&module=$module&modoption=list_users&suboption=$suboption&sort=$sort&p=$prev&filter=$filter\">" .
		$sas_lang['newsletter_module_previous_page'] . "</a>";
	}
	print "&nbsp;</span></td>";
	print "<td align=\"center\"><b>" . $sas_lang['page'] . " $p / $pages</b></span></td>";
	print "<td colspan=\"3\" align=\"right\">";
	if (($next <= $pages) AND ($rec_number > 0)) //does next page number not exceed the number of pages
	{
		print "<a href=\"index.php?option=modulemanager&module=$module&modoption=list_users&suboption=$suboption&sort=$sort&p=$next&filter=$filter\">" .
		$sas_lang['newsletter_module_next_page'] . "</a>";
	}
	print "</span></td></tr>";
	print "</table>";

?>